"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
const hashTagRegExp = /^(.+? )?#(\S+)(.*)?$/;
const createHashTagNode = (href) => ({
    type: 'hashTag',
    href
});
exports.HashTagNodeParser = (text, { nested, quoted }, next) => {
    if (nested)
        return next();
    const hashTagMatch = text.match(hashTagRegExp);
    if (!hashTagMatch)
        return next();
    const [, left, target, right] = hashTagMatch;
    return [
        ..._1.convertToLineNodes(left, { nested, quoted }),
        createHashTagNode(target),
        ..._1.convertToLineNodes(right, { nested, quoted })
    ];
};
//# sourceMappingURL=HashTagNode.js.map